<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/', function () {
    return view('welcome');
});

Route::get('/network', function () {
    return view('network');
});

Route::get('/temp', function () {
    return view('temp');
});

Route::get('/search', function () {
    return view('search');
});


Route::any('/log',"Logging@log");
Route::any('/push',"Push@data");

Route::get('search/autocomplete', 'Search@autocomplete');
Route::get('search/multicomplete', 'Search@multicomplete');
Route::post('search', 'Search@search');
Route::any('/data',"DataController@get");

Route::get('graph', 'Graph@show');

Route::post('network/search', 'Network@search');
Route::post('temp/search', 'Temperature@search');
Route::get('csv','Network@csv')->name('csv');
Route::get('csvtemp','Temperature@csv')->name('csvtemp');
